Difference between revisions of "Arch Rebar Helical/fr"

From FreeCAD Documentation
Jump to: navigation, search
Line 3: Line 3:
 
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
 
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
 
|[[Arch_Rebar_Circular_ColumnReinforcement/fr|Renforcement des armatures circulaires]]
 
|[[Arch_Rebar_Circular_ColumnReinforcement/fr|Renforcement des armatures circulaires]]
|[[Arch_Module/fr|Architecture]]
+
|[[Arch_Module/fr|Atelier Arch]]
 
|IconL=Arch_Rebar_Stirrup.svg
 
|IconL=Arch_Rebar_Stirrup.svg
 
|IconC=Workbench_Arch.svg  
 
|IconC=Workbench_Arch.svg  

Revision as of 18:14, 9 November 2019

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar Helical.svg Armature hélicoïdale

Emplacement du menu
Arch → Rebar tools
Ateliers
Atelier Architecture, Atelier BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Armature en étrier Arch, Renforcement des colonnes d'armature Arch


Description

L'outil Armature hélicoïdale permet à l'utilisateur de créer une armature hélicoïdale continue dans l'élément structurel Arch Structure.

Cette commande fait partie du Addon Barres de renfort (armatures) que vous pouvez installer avec l'Addon manager via le menu Tools → Addon Manager → Reinforcement.

Arch Rebar Helical example.png

Une barre de renforcement hélicoïdale continue à l'intérieur d'une Arch Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Puis sélectionnez Arch Rebar Helical.svg Rebar Helical dans les outils pour barres d'armature.
  3. Un panneau de tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Indiquez les entrées telles que le côté avant, le côté latéral droit, le côté latéral gauche, la face inférieur et le diamètre de la barre.
  6. Sélectionnez le mode de distribution soit en montant ou en espacement.
  7. Si l'espacement est sélectionné, un utilisateur peut également opter pour custom spacing.
  8. Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  9. Cliquez sur OK ou Apply pour générer les barres d’arceau.
  10. Cliquez sur Cancel pour quitter le panneau de tâches.

HelicalRebarDialog.png

Panneau de tâches pour l'outil Armature hélicoïdale Arch


Propriétés

  • DONNÉESSideCover: La distance entre l'armature et la face incurvée.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESPitch: Le pas d'une hélice est la hauteur d'un tour d'hélice complet, mesuré parallèlement à l'axe de l'hélice.
  • DONNÉESDiameter: Diamètre de l'armature.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature hélicoïdale peut être utilisé dans macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucune structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • s_cover, b_cover et t_cover sont des distances de décalage internes pour la barre d'armature par rapport aux faces de la structure. Ce sont respectivement les décalages latéraux, inférieurs et supérieurs.
  • diameter est le diamètre de la spirale de renforcement à l'intérieur de la structure.
  • pitch est le paramètre qui détermine la proximité ou l'éloignement de chaque boucle en spirale.

Exemple

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar est un objet HelicalRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeHelicalRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)